ALR-RUN(1)

NAME
alr-run - Launch an executable built by the release

SYNOPSIS

alr run [options] [executable] [--args=ARGS] [--skip-build] | [--list]

OPTIONS

-a, --args=ARGS
    Arguments to pass through (quote them if more than one)

--list
    List executables produced by current release

-s, --skip-build
    Skip building step

GLOBAL OPTIONS

-c, --config=ARG
    Override configuration folder location

-f, --force
    Keep going after a recoverable troublesome situation

-h, --help
    Display general or command-specific help

-n, --non-interactive
    Assume default answers for all user prompts

--no-color
    Disables colors in output

--no-tty
    Disables control characters in output

--prefer-oldest
    Prefer oldest versions instead of newest when resolving dependencies

--version
    Displays version and exits

-q  Limit output to errors

-v  Be more verbose (use twice for extra detail)

-d, --debug[]
    Enable debug-specific log messages

DESCRIPTION
Compiles the crate (unless --skip-build is specified) and then executes the default or given resulting executable.

With --list, a list of declared executables is produced instead of invoking the compiler, and its location (if already built) is given.

SEE ALSO
alr(1), alr-action(1), alr-build(1), alr-clean(1), alr-dev(1), alr-edit(1), alr-test(1), alr-exec(1), gprbuild(1)

AUTHOR
Generated with generate-man from Alire execution